## GnomeDbDataCellRendererInfo

GnomeDbDataCellRendererInfo — Cell renderer to display a cell contextual menu

##

# Synopsis

    struct      GnomeDbDataCellRendererInfo;
    struct      GnomeDbDataCellRendererInfoClass;
    struct      GnomeDbDataCellRendererInfoPriv;
    GtkCellRenderer* gnome_db_data_cell_renderer_info_new
                                                (GnomeDbDataStore *store,
                                                 GdaDataModelIter *iter,
                                                 GdaSetGroup *group);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkCellRenderer
                         +----GnomeDbDataCellRendererInfo

## Properties

      "editable"             gboolean             : Read / Write
      "group"                gpointer             : Write / Construct Only
      "iter"                 GdaDataModelIter     : Write / Construct Only
      "store"                GnomeDbDataStore     : Write / Construct Only
      "to-be-deleted"        gboolean             : Write
      "value-attributes"     GdaValueAttribute    : Read / Write

## Signal Prototypes

    "status-changed"
                void        user_function      (GnomeDbDataCellRendererInfo *dbdatacellrendererinfo,
                                                gchar *arg1,
                                                GdaValueAttribute arg2,
                                                gpointer user_data);

## Description

## Details

### struct GnomeDbDataCellRendererInfo

    struct GnomeDbDataCellRendererInfo;

### struct GnomeDbDataCellRendererInfoClass

    struct GnomeDbDataCellRendererInfoClass {

    	GtkCellRendererClass parent_class;

    	void (* status_changed) (GnomeDbDataCellRendererInfo *cell_renderer_info,
    				 const gchar                 *path,
    				 GdaValueAttribute            requested_action);
    };

### struct GnomeDbDataCellRendererInfoPriv

    struct GnomeDbDataCellRendererInfoPriv;

### gnome_db_data_cell_renderer_info_new ()

    GtkCellRenderer* gnome_db_data_cell_renderer_info_new
                                                (GnomeDbDataStore *store,
                                                 GdaDataModelIter *iter,
                                                 GdaSetGroup *group);

Creates a new GnomeDbDataCellRendererInfo. Adjust rendering parameters using object properties. Object properties can be set globally (with `g_object_set()`). Also, with GtkTreeViewColumn, you can bind a property to a value in a GtkTreeModel. For example, you can bind the "active" property on the cell renderer to a boolean value in the model, thus causing the check button to reflect the state of the model.

`store` : |
`iter` : |
`group` : |
Returns : | the new cell renderer

## Properties

"`editable`" (gboolean : Read / Write) | The information and status changer can be activated.
"`group`" (gpointer : Write / Construct Only) |
"`iter`" (GdaDataModelIter : Write / Construct Only) |
"`store`" (GnomeDbDataStore : Write / Construct Only) |
"`to-be-deleted`" (gboolean : Write) |
"`value-attributes`" (GdaValueAttribute : Read / Write) |

## Signals

### The "status-changed" signal

    void        user_function                  (GnomeDbDataCellRendererInfo *dbdatacellrendererinfo,
                                                gchar *arg1,
                                                GdaValueAttribute arg2,
                                                gpointer user_data);

`dbdatacellrendererinfo` : | the object which received the signal.
`arg1` : |
`arg2` : |
`user_data` : | user data set when the signal handler was connected.